!----------------------------------------------------------------------------
! VERB LIBRARY MESSAGES
!
! VMessage and NewVMessages mirror HUGOLIB.H's Message and NewMessages,
! respectively.
!
! VMessage(&routine, number)
! prints message <number> for <routine>
!
! VMessage (&routine, number, var1, var2)
! where one or two variables--which may be objects or any other value--
! are used by message <number> for <routine>

replace VMessage(r, num, a, b)
{
! Check first to see if the NewVMessages routine provides a
! replacement message:
	if NewVMessages(r, num, a, b):  return
	select r

!----------------------------------------------------------------------------
! DOASK
!----------------------------------------------------------------------------
	case &DoAsk: 
		{
		select num
		case 1: {
			if player_person = 1: print "Dovrei chiedere qualcosa di piu' specifico."
			if player_person = 2: print "Dovresti chiedere qualcosa di piu' specifico."
			if player_person = 3: print CThe(player); " dovrebbe chiedere qualcosa di piu' specifico."
			}
		case 2: {
			if player_person = 1: print "Il soliloquio non mi porta lontano."
			if player_person = 2: print "Stai parlando con te stesso?"
			if player_person = 3: print CThe(player); " sta parlando da solo."
			}
		case 3: {
			if player_person = 1: print "Dovrebbe saperne piu' di me sul mio conto?"
			if player_person = 2: print "Dovrebbe saperne piu' di te sul tuo conto?"
			if player_person = 3: print "Perche' dovrebbe saperne piu' di"; The(player); "?"
			}
		case 4: {
			if object = plural
				if object = female: print "Non hanno voglia di parlare di se stesse."
				if object ~= female: print "Non hanno voglia di parlare di se stessi."
			if object ~= plural
				if object = female: print "Non ha voglia di parlare di se stessa."
				if object ~= female: print "Non ha voglia di parlare di se stesso."
			}
		case 5: {
			if object = plural
				if xobject = plural: print "Non parleranno riguardo "; The(xobject); "sino a che "; The(xobject); "si troveranno qui."
				if xobject ~= plural: print "Non parleranno riguardo "; The(xobject); "sino a che "; The(xobject); "si trovera' qui."
			if object ~= plural
				if xobject = plural: print "Non parlera' riguardo "; The(xobject); "sino a che "; The(xobject); "si troveranno qui."
				if xobject ~= plural: print "Non parlera' riguardo "; The(xobject); "sino a che "; The(xobject); "si trovera' qui."
			}
		case 6: {
			print CThe(object); "non sembra avere informazioni a riguardo."
			}
		}
!----------------------------------------------------------------------------
! DOASKQUESTION
!----------------------------------------------------------------------------
	case &DoAskQuestion:
		{
		if player_person = 1: print "Non sto parlando con qualcuno, in questo momento."
		if player_person = 2: print "Non stai parlando con qualcuno, in questo momento."
		if player_person = 3: print CThe(player); " non sta parlando con qualcuno, in questo momento."
		}
!----------------------------------------------------------------------------
! DOBRIEF
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoBrief:  
		{
		print "Descrizioni brevi abilitate."
		}
	#endif
!----------------------------------------------------------------------------
! DOCLOSE
!----------------------------------------------------------------------------
	case &DoClose:
		{
		select num
		case 1:	{
			if player_person = 1: print "Non posso chiudere "; The(object); "."
			if player_person = 2: print "Non puoi chiudere "; The(object); "."
			if player_person = 3: print CThe(player); " non puo' chiudere "; The(object); "."
			}
		case 2: {
			print CThe(object); IsorAre(object,true); " gia'";
				{
				if object = plural
					if object = female: print " chiuse."
					if object ~= female: print " chiusi."
				if object ~= plural
					if object = female: print " chiusa."
					if object ~= female: print " chiuso."
				}
			}	
		case 3: {
				if object = plural
					if object = female: print "Chiuse."
					if object ~= female: print "Chiusi."
				if object ~= plural
					if object = female: print "Chiusa."
					if object ~= female: print "Chiuso."
			}
		case 4:  print "\nTutto diventa buio."
		}
!----------------------------------------------------------------------------
! DODISPLAY
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoDisplay:
		{
		select num
		case 1:  print "Liste lunghe abilitate."
		case 2:  print "Liste estese abilitate."
		case 3:  print "Scrivi display tall o display wide per alterare il modo in cui gli oggetti sono listati."
		}
	#endif	
!----------------------------------------------------------------------------
! DODRINK
!----------------------------------------------------------------------------
	case &DoDrink:
	{
		if player_person = 1: print "Non posso bere "; The(object); "."
		if player_person = 2: print "Non puoi bere "; The(object); "."
		if player_person = 3: print CThe(player); " non puo' bere "; The(object); "."
	}
!----------------------------------------------------------------------------
! DODROP
!----------------------------------------------------------------------------
	case &DoDrop:
		{
		select num
		case 1: {
			if player_person = 1: print "Prima devo lasciare "; The(object); "."
			if player_person = 2: print "Prima devi lasciare "; The(object); "."
			if player_person = 3: print CThe(player); " deve lasciare "; The(object); " prima."
			}		
		case 2: {
				if object = plural
					if object = female: print "Lasciate."
					if object ~= female: print "Lasciati."
				if object ~= plural
					if object = female: print "Lasciata."
					if object ~= female: print "Lasciato."
			}
		}
!----------------------------------------------------------------------------
! DOEAT
!----------------------------------------------------------------------------
	case &DoEat:
		{
		if player_person = 1: print "Non posso mangiare "; 
		if player_person = 2: print "Non puoi mangiare ";
		if player_person = 3: print CThe(player); " non puo' mangiare ";
		print The(object); "."
		}
!----------------------------------------------------------------------------
! DOEMPTY
!----------------------------------------------------------------------------
	case &DoEmpty:	
		{
		select num
		case 1: {
			print CThe(object); IsorAre(object, true);
				{
				if object = plural
					if object = female: print " chiuse."
					if object ~= female: print " chiusi."
				if object ~= plural
					if object = female: print " chiusa."
					if object ~= female: print " chiuso."
				}
			}
		case 2: {
			print CThe(object); IsorAre(object, true); "gia'";
				{
				if object = plural
					if object = female: print " vuote."
					if object ~= female: print " vuoti."
				if object ~= plural
					if object = female: print " vuota."
					if object ~= female: print " vuoto."
				}
			}
		case 3:	{
			if player_person = 1: print "Non posso spostare "; The(object); "."
			if player_person = 2: print "Non puoi spostare "; The(object); "."
			if player_person = 3: print CThe(player); " non puo' spostare "; The(object); "."
			}
		}
!----------------------------------------------------------------------------
! DOENTER
!----------------------------------------------------------------------------
	case &DoEnter:
		{
		select num
		case 1: { 
			print "Non e' molto chiaro dove";
			if player_person = 1: print " dovrei entrare"
			if player_person = 2: print " vorresti entrare"
			if player_person = 3: print CThe(player); " dovrebbe entrare"
			}
		case 2: {
			if player_person = 1: print "Non posso ";
			if player_person = 2: print "Non puo' ";
			if player_person = 3: print CThe(player); " non puo' ";

				if object is platform
				print "andare su ";
				else
				print "entrare in ";
				print The(object); "."
			}
		case 3: { 
			if player_person = 1: print "Sono gia' dentro "; The(object); "."
			if player_person = 2: print "Sei gia' dentro "; The(object); "."
			if player_person = 3: print CThe(player); " e' gia' dentro"; The(object); "."
			}
		case 4: {
			if object is platform
				if player_person = 1: print "Salgo su "; The(object); "."
				if player_person = 2: print "Sali su "; The(object); "."
				if player_person = 3: print CThe(player); " sale su "; The(object); "."
			else
				if player_person = 1: print "Entro in "; The(object); "."
				if player_person = 2: print "Entri in "; The(object); "."
				if player_person = 3: print CThe(player); " entra in ";  The(object); "."
			}
		}
!----------------------------------------------------------------------------
! DOEXIT
!----------------------------------------------------------------------------
	case &DoExit:
		{
		select num
		case 1: {
			print CThe(player); IsorAre(player); " not ";
			if object.prep
				print object.prep;
			elseif object is platform
				print "on";
			else
				print "in";
			print " "; The(object); "."
			}
		case 2: {
			print CThe(player); " get"; MatchSubject(player); " ";
			if object.prep #2
				print object.prep #2;
			elseif object is platform
				print "off";
			else
				print "out";
			print " of "; The(object); "."
			}
		}
!----------------------------------------------------------------------------
! DOGET
!----------------------------------------------------------------------------
	case &DoGet:
		{
		select num
		case 1: {
			print CThe(player); " already"; \
			MatchPlural(player, "has", "have"); " that."
			}
		case 2: {
			print "This is not progress "; The(player); \
			IsorAre(player, true); " making."
			}
		case 3: {
			print CThe(object); " probably wouldn't be too big
				on that idea."
			}
		case 4: {
			print CThe(parent(object)); \
				MatchPlural(object, "doesn't", "don't"); \
				" want to give "; The(object); " to "; \
				The(player, true); "."
			}
		case 5: {
			print CThe(parent(object)); \
			IsOrAre(parent(object), true); " closed."
			}
		case 6: {
			print CThe(player); " can't take "; The(object); \
				" while "; player.pronoun; IsorAre(player); \
				" ";
			if object.prep:  print object.prep;
			elseif object is platform:  print "in";
			else:  print "on";
			if object is plural:  print " them."
			else:  print " it."
			}
		case 7: {
			print CThe(player); " can't take";
			MatchPlural(object, "that", "those")
			print "."
			}
		case 8: {
			print "Taken."
			}
		case 9: {
			print CThe(player); IsorAre(player); " carrying
			too much to take that."
			}
		}
!----------------------------------------------------------------------------
! DOGIVE
!----------------------------------------------------------------------------
	case &DoGive: 
		{
		select num
		case 1: {
			if player_person = 1: print "Devo essere piu' specifico su cosa vorrei dare ed a chi."
			if player_person = 2: print "Devi essere piu' specifico su cosa vorresti dare ed a chi."
			if player_person = 3: print CThe(player); " deve essere piu' specifico su cosa vorrebbe dare ed a chi."
			}
		case 2: {
			if player_person = 1: print "Non sono proprio sicuro di sapere cosa vorrei ottenere con questo gesto."
			if player_person = 2: print "Non sei proprio sicuro di sapere cosa vorresti ottenere con questo gesto."
			if player_person = 3: print CThe(player); " non e' proprio sicuro di sapere cosa vorresti ottenere con questo gesto."
			}
		case 3: {
			print "Il gesto gentile non viene notato da "; The(xobject); "."
			}
		case 4: {
			print CThe(xobject);
			if xobject is not unfriendly: print " gentilmente";
				if object = plural: print "rifiutano "; The(object); "."
				if object ~= plural: print "rifiuta "; The(object); "."
			}
		case 5: {
			print "(prendendo "; The(object); " prima)"
			}
		}
!----------------------------------------------------------------------------
! DOGO
!----------------------------------------------------------------------------
	case &DoGo:
		{
		select num
		case 1: {
		 	print CThe(obstacle); " impedisce di procedere in quella direzione."
		 	}
		case 2: {
			if player_person = 1: print "Non posso andare in quella direzione."
			if player_person = 2: print "Non puoi andare in quella direzione."
			if player_person = 3: print CThe(player); " non puo' andare in quella direzione."
			}
		case 3: {
			if parent(player) is platform
				if player_person = 1: print "Dovrei scendere da "; The(parent(player)); " prima."
				if player_person = 2: print "Dovresti scendere da "; The(parent(player)); " prima."
				if player_person = 3: print CThe(player); " dovrebbe scendere da "; The(parent(player)); " prima."
			else
				if player_person = 1: print "Dovrei uscire da "; The(parent(player)); " prima."
				if player_person = 2: print "Dovresti uscire da "; The(parent(player)); " prima."
				if player_person = 3: print CThe(player); " dovrebbe uscire da "; The(parent(player)); " prima."
			}
		case 4: {
			print "In che direzione ";
			if player_person = 1: print "dovrei andare?"
			if player_person = 2: print "vorresti andare?"
			if player_person = 3: print "dovrebbe andare "; CThe(player); "?"
			}
		}
!----------------------------------------------------------------------------
! DOHELLO
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoHello:  print "Ciao a te."
	#endif
!----------------------------------------------------------------------------
! DOHIT
!----------------------------------------------------------------------------
	case &DoHit:  print "Sfogare le frustrazioni in questo modo non portera' a nulla."
!----------------------------------------------------------------------------
! DOINVENTORY
!----------------------------------------------------------------------------
	case &DoInventory:
		{
		if player_person = 1: print "Non possiedo nulla."
		if player_person = 2: print "Non possiedi nulla."
		if player_person = 3: print CThe(player); " non possiede nulla."
		}
!----------------------------------------------------------------------------
! DOLISTEN
!----------------------------------------------------------------------------	
	case &DoListen:
		{
		select num
		case 1:	{
			print "Devi essere piu specifico riguardo quello che";
			if player_person = 1: print " dovrei ascoltare.";
			if player_person = 2: print " vorresti ascoltare.";
			if player_person = 3: print The(player, true); " dovrebbe ascoltare."
			}
		case 2: {
			print CThe(object); IsorAre(object); 
			if object = plural
				if object = female: print " silenziose."
				if object ~= female: print " silenziosi."
			if object ~= plural
				if object = female: print " silenziosa."
				if object ~= female: print " silenzioso."
			}
		}
!----------------------------------------------------------------------------
! DOLOCK
!----------------------------------------------------------------------------
	case &DoLock
	{
		select num
		case 1: {
			print CThe(object); IsorAre(object); 
				if object = plural
					if object = female: print " gia' chiuse."
					if object ~= female: print " gia' chiusi."
				if object ~= plural
					if object = female: print " gia' chiusa."
					if object ~= female: print " gia' chiuso."
			}
		case 2: { 
			if player_person = 1: print "Prima "; object.pronoun; " devo chiudere."
			if player_person = 2: print "Prima "; object.pronoun; " devi chiudere."
			if player_person = 3: print CThe(player); object.pronoun; " deve chiudere."
			}
		case 3: {
			if not xobject and object.key_object
				print "(con "; The(object.key_object); ")"
				if object = plural
					if object = female: print " Bloccate."
					if object ~= female: print " Bloccati."			
				if object ~= plural
					if object = female: print " Bloccata."
					if object ~= female: print " Bloccato."
			print "Locked."
			}
	}
!----------------------------------------------------------------------------
! DOLOOK
!----------------------------------------------------------------------------
	case &DoLook:
		{
		select num
		case 1:	{
			print "E' troppo buio per vedere."
			}
		case 2:	{
			print CThe(object);
			#ifclear NO_OBJLIB
			if object = u_obj, d_obj
				print " "; The(player);
			#endif
			" non ha particolari degni di nota."
			}
		}
!----------------------------------------------------------------------------
! DOLOOKIN
!----------------------------------------------------------------------------
	case &DoLookIn
	{
		select num
		case 1:	{
			print CThe(object); IsorAre(object, true);
			if object ~= plural
				if object ~= female: print " chiuso."
				if object = female: print " chiusa."
			if object = plural
				if object ~= female: print " chiusi."
				if object = female: print " chiuse."
			}
		case 2: {
			print CThe(object); IsorAre(object, true);
			if object ~= plural
				if object ~= female: print " vuoto."
				if object = female: print " vuota."
			if object = plural
				if object ~= female: print " vuoti."
				if object = female: print " vuote."
			}
	}
!----------------------------------------------------------------------------
! DOLOOKTHROUGH
!----------------------------------------------------------------------------
	case &DoLookThrough:
		{
		select num
		case 1: {
			print "Attraverso "; Art(object); " ";
				if player_person = 1: print " posso vedere ";
				if player_person = 2: print " puoi vedere ";
				if player_person = 3: print The(player): print " puo' vedere ";
			}
		case 2: {
			if player_person = 1: print "Non riesco a vedere ";
			if player_person = 2: print "Non riesci a vedere ";
			if player_person = 3: print CThe(player); " non riesce a vedere ";
			print "attraverso ": print Art(object); "."
			}
		}
!----------------------------------------------------------------------------
! DOLOOKUNDER
!----------------------------------------------------------------------------
	case &DoLookUnder: 
		{
		print "Non c'e' nulla"; word[2]; " "; The(object); "."
		}
!----------------------------------------------------------------------------
! DOMOVE
!----------------------------------------------------------------------------
	case &DoMove:
	{
		if player_person = 1: print "Non posso spostare "; The(object); "."
		if player_person = 2: print "Non puoi spostare "; The(object); "."
		if player_person = 3: print CThe(player); " non puo' spostare "; The(object); "."
	}
!----------------------------------------------------------------------------
! DOOPEN
!----------------------------------------------------------------------------
	case &DoOpen
	{
		select num
		case 1:	{
			if player_person = 1: print "Non posso aprire "; The(object); "."
			if player_person = 2: print "Non puoi aprire "; The(object); "."
			if player_person = 3: print CThe(player); " non puo' aprire "; The(object); "."
			}
		case 2: {
			print CThe(object); IsorAre(object,true); " gia'";
				{
				if object = plural
					if object = female: print " aperte."
					if object ~= female: print " aperti."
				if object ~= plural
					if object = female: print " aperta."
					if object ~= female: print " aperto."
				}
			}
		case 3: {
			print CThe(object); IsorAre(object,true);
				{
				if object = plural
					if object = female: print " bloccate."
					if object ~= female: print " bloccati."
				if object ~= plural
					if object = female: print " bloccata."
					if object ~= female: print " bloccato."
				}
			}
		case 4: {
				if object = plural
					if object = female: print "Aperte."
					if object ~= female: print "Aperti."
				if object ~= plural
					if object = female: print "Aperta."
					if object ~= female: print "Aperto."
			}
	}
!----------------------------------------------------------------------------
! DOPUTIN
!----------------------------------------------------------------------------
	case &DoPutIn
	{
		select num
		case 1:
		{
			print "You'll have to be a little more specific
				about exactly with what you'd like ";
			if player_person ~= 2:  print The(player, true); " ";
			print "to do that."
		}
		case 2:  print CThe(xobject); IsorAre(xobject, true); \
				" closed."
		case 3:  print CThe(player); " can't do that."
		case 4:  print "Trying to bend the laws of physics, are we?"
		case 5
		{
			print CThe(player); " put"; MatchSubject(player); \
				" "; The(object); " ";
			if xobject.prep
				print xobject.prep;
			elseif xobject is platform
				print "on";
			else
				print "in";
			print " "; The(xobject); "."
		}
		case 6
		{
			print "There's no room ";
			if xobject.prep
				print xobject.prep; " ";
			elseif xobject is platform
				print "on ";
			else
				print "in ";
			print The(xobject); "."
		}
		case 7:  print CThe(player); " can't do that with "; \
			The(xobject); "."
		case 8
		{
			print CThe(object); IsorAre(object, true); " already ";
			if xobject.prep
				print xobject.prep;
			elseif xobject is platform
				"on";
			else
				"in";
			print " "; The(xobject); "."
		}
	}
!----------------------------------------------------------------------------
! DOPUTONGROUND
!----------------------------------------------------------------------------
	case &DoPutonGround:
		{
		if player_person = 1: print "Non sono in "; The(xobject); "."
		if player_person = 2: print "Non sei in "; The(xobject); "."
		if player_person = 3: print CThe(player); " non e' in "; The(xobject); "."
		}
!----------------------------------------------------------------------------
! DOQUIT
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoQuit:  print "Sei sicuro di voler abbandonare (YES o NO)? ";
	#endif
!----------------------------------------------------------------------------
! DORECORDONOFF
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	#ifclear NO_RECORDING
	case &DoRecordOnOff
	{
		select num
		case 1:  print "Impossibile attivare il playback dei comandi."
		case 2:  print "Playback dei comandi attivato."
		case 3:  print "Impossibile attivare la registrazione dei comandi."
		case 4:  print "Registrazione dei comandi attivata."
		case 5:  print "Impossibile terminare la registrazione dei comandi."
		case 6:  print "Registrazione dei comandi terminata."
	}
	#endif
	#endif
!----------------------------------------------------------------------------
! DORESTART
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoRestart
	{
		select num
		case 1:  print "Sei sicuro di voler ricominciare (YES o
				NO)? ";
		case 2:  print "Impossibile ricominciare."
	}
	#endif
!----------------------------------------------------------------------------
! DORESTORE
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoRestore
	{
		select num
		case 1:  print "Situazione ripristinata."
		case 2:  print "Non e' possibile ripristinare la situazione."
	}
	#endif
!----------------------------------------------------------------------------
! DOSAVE
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoSave
	{
		select num
		case 1:  print "Situazione salvata."
		case 2:  print "Non e' possibile salvare."
	}
	#endif
!----------------------------------------------------------------------------
! DOSCORE
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoScore:  print "Nessun punteggio."
	#endif
!----------------------------------------------------------------------------
! DOSCRIPTONOFF
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoScriptOnOff
	{
		select num
		case 1:  print "Impossibile attivare la trascrizione."
		case 2:  print "Trascrizione attivata."
		case 3:  print "Impossibile disattivare la trascrizione."
		case 4:  print "Trascrizione disattivata."
	}
	#endif
!----------------------------------------------------------------------------
! DOSHOW
!----------------------------------------------------------------------------
	case &DoShow:
		{
		select num
		case 1: {
			if player_person = 1: print "Devo essere piu' specifico su cosa vorrei mostrare ed a chi."
			if player_person = 2: print "Devi essere piu' specifico su cosa vorresti mostrare ed a chi."
			if player_person = 3: print CThe(player); " deve essere piu' specifico su cosa vorrebbe mostrare ed a chi."
			}
		case 2: {
			print "Mostrare "; Art(object); " a "; The(xobject); \
				" non ottiene un buon risultato."
			}
		case 3:	{
			print CThe(xobject); 
				if object = plural: print "sembrano poco interessati a"; The(object); "."
				if object ~= plural: print "sembra poco interessato a"; The(object); "."
			}
		}
!----------------------------------------------------------------------------
! DOSUPERBRIEF
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoSuperBrief:  print "Descrizioni brevissime abilitate."
	#endif
!----------------------------------------------------------------------------
! DOSWITCHOFF
!----------------------------------------------------------------------------
	case &DoSwitchOff
	{
		select num
		case 1 
			{
			print CThe(object); IsorAre(object); " gia'"
			if object = plural
				if object = female: print " spente."
				if object ~= female: print " spenti."
			if object ~= plural
				if object = female: print " spenta."
				if object ~= female: print " spento."
			}
		case 2
			{
			if object = plural
				if object = female: print "Spente."
				if object ~= female: print "Spenti."
			if object ~= plural
				if object = female: print "Spenta."
				if object ~= female: print "Spento."
			}
	}
!----------------------------------------------------------------------------
! DOSWITCHON
!----------------------------------------------------------------------------
	case &DoSwitchOn
	{
		select num
		case 1 
			{
			print CThe(object); IsorAre(object); " gia'";
				{
				if object = plural
					if object = female: print " accese."
					if object ~= female: print " accesi."
				if object ~= plural
					if object = female: print " accesa."
					if object ~= female: print " acceso."
				}
			}
		case 2
			{
			if object = plural
				if object = female: print "Accese."
				if object ~= female: print "Accesi."
			if object ~= plural
				if object = female: print "Accesa."
				if object ~= female: print "Acceso."
			}
	}
!----------------------------------------------------------------------------
! DOTAKEOFF
!----------------------------------------------------------------------------
	case &DoTakeOff
	{
		select num
		case 1: {
			if player_person = 1: print "Non posso farlo con "; The(object); "."
			if player_person = 2: print "Non puoi farlo con "; The(object); "."
			if player_person = 3: print CThe(player); "non puo' fare questa azione con "; The(object); "."
			}
		case 2: {
			if player_person = 1: print "Non sto indossando "; The(object); "."
			if player_person = 2: print "Non stai indossando "; The(object); "."
			if player_person = 3: print CThe(player); "non sta indossando "; The(object); "."
			}
		case 3:  print CThe(player); " take"; MatchSubject(player); \
			" off "; The(object); "."
	}



		case 3: {
			if player_person = 1: print "Mi tolgo "; The(object); "."
			if player_person = 2: print "Ti togli "; The(object); "."
			if player_person = 3: print CThe(player); "si toglie "; The(object); "."
			}

!----------------------------------------------------------------------------
! DOTALK
!----------------------------------------------------------------------------
	case &DoTalk:
		{
		if player_person = 1: print "Devo essere piu' specifico su quello che vorrei dire ed a chi vorrei dirlo."
		if player_person = 2: print "Devi essere piu' specifico su quello che vorresti dire ed a chi vorresti dirlo."
		if player_person = 3: print CThe(player); " deve essere piu' specifico su quello che vorrebbe dire ed a chi vorrebbe dirlo."
		}
!----------------------------------------------------------------------------
! DOTELL
!----------------------------------------------------------------------------
	case &DoTell:
		{
		select num
		case 1: {
			if player_person = 1: print "Devo essere piu' specifico su quello che vorrei dire ed a chi vorrei dirlo."
			if player_person = 2: print "Devi essere piu' specifico su quello che vorresti dire ed a chi vorresti dirlo."
			if player_person = 3: print CThe(player); " deve essere piu' specifico su quello che vorrebbe dire ed a chi vorrebbe dirlo."
			}
		case 2: {
			 print CThe(object);
				if object = plural: print "sembrano poco interessati a"; The(xobject); ".";
				if object ~= plural: print "sembra poco interessato a"; The(xobject); "."
			}
		}
!----------------------------------------------------------------------------
! DOUNDO
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoUndo:  print "Non  possibile ritirare la mossa."
	#endif
!----------------------------------------------------------------------------
! DOUNLOCK
!----------------------------------------------------------------------------
	case &DoUnlock
	{
		select num
		case 1:  print "Non sembra funzionare."
		case 2: {
			if player_person = 1: print "Non possiedo una chiave utile allo scopo."
			if player_person = 2: print "Non possiedi una chiave utile allo scopo."
			if player_person = 3: print CThe(player); "non possiede una chiave utile allo scopo."
			}
		case 3:
			{
			print CThe(object); IsorAre(object); " gia'"
			if object = plural
				if object = female: print " sbloccate."
				if object ~= female: print " sbloccati."
			if object ~= plural
				if object = female: print " sbloccata."
				if object ~= female: print " sbloccato."
			}
		case 4
		{
			if not xobject and object.key_object
				print "(con "; The(object.key_object); ")"
			{
			if object = plural
				if object = female: print "Sbloccate."
				if object ~= female: print "Sbloccati."
			if object ~= plural
				if object = female: print "Sbloccata."
				if object ~= female: print "Sbloccato."
			}
		}
	}
!----------------------------------------------------------------------------
! DOVAGUE
!----------------------------------------------------------------------------
	case &DoVague:
		{
		print "Devi essere piu specifico riguardo quello che";
			if player_person = 1: print " dovrei fare.";
			if player_person = 2: print " vorresti fare.";
			if player_person = 3: print The(player, true); " dovrebbe fare."
		}
!----------------------------------------------------------------------------
! DOVERBOSE
!----------------------------------------------------------------------------
	#ifclear NO_XVERBS
	case &DoVerbose:
		{
		print "Descrizioni lunghe abilitate."
		}
	#endif
!----------------------------------------------------------------------------
! DOWAIT
!----------------------------------------------------------------------------
	case &DoWait:
		{
		print "Il tempo passa..."
		}
!----------------------------------------------------------------------------
! DOWAITFORCHAR
!----------------------------------------------------------------------------
	case &DoWaitforChar:
		{
		select num
		case 1: {
			print "E' inutile aspettare. "; CThe(object); IsorAre(object, true); " gia' qui.";
			print newline
			}
		case 2
		{
			print "\n("; CThe(object); \
				MatchPlural(object, "e'", "sono"); \
				{
				if object = plural
					if object = female: print "non sono arrivate."
					if object ~= female: print "non sono arrivati."
				}
				{
				if object ~= plural
					if object = female: print "non e' arrivata.";
					if object ~= female: print "non e' arrivato."			
				}
				if STATUSTYPE = 2
				print " Sono ora le "; HoursMinutes(counter);
			print ")"
		}
		case 3
		{
			print "\n("; CThe(player); \
				MatchPlural(player, "ha", "hanno"); \
				" aspettato ";
			select STATUSTYPE
				case 2
					print "un'ora";
				case else
					print "per venti turni";
			print ", e "; The(object); " ancora";
			if object = plural
				if object = female: print "non sono arrivate."
				if object ~= female: print "non sono arrivati."
			if object ~= plural
				if object = female: print "non e' arrivata."
				if object ~= female: print "non e' arrivato."
		}
	}

!----------------------------------------------------------------------------
! DOWAITUNTIL
!----------------------------------------------------------------------------
	case &DoWaitUntil:
		{
		select num
		case 1:	{
			print "Wow. Il tempo vola..."
			}
		case 2:	{
			if player_person = 1: print "Sono in anticipo."
			if player_person = 2: print "Sei in anticipo."
			if player_person = 3: print CThe(player); " e' in anticipo."
			}
		case 3: {
			print ""
			select STATUSTYPE
			case 2: print "Sono le ore "; HoursMinutes(counter)
			case else: print "E' ora il turno "; number object; "."
			}
		}
!----------------------------------------------------------------------------
! DOWEAR
!----------------------------------------------------------------------------
	case &DoWear:
		{
		select num
		case 1: {
			if player_person = 1: print "Non posso indossare "; The(object); "."
			if player_person = 2: print "Non puoi indossare "; The(object); "."
			if player_person = 3: print CThe(player); "non puo' indossare "; The(object); "."
			}
		case 2: {
			if player_person = 1: print "Sto gia' indossando "; The(object); "."
			if player_person = 2: print "Stai gia' indossando "; The(object); "."
			if player_person = 3: print CThe(player); "sta gia' indossando "; The(object); "."
			}
		case 3: {
			if player_person = 1: print "Indosso "; The(object); "."
			if player_person = 2: print "Indossi "; The(object); "."
			if player_person = 3: print CThe(player); "indossa "; The(object); "."
			}
		}
!----------------------------------------------------------------------------
! IMPLICITTAKE
!----------------------------------------------------------------------------
	case &ImplicitTake:
		{
		print "(prendendo "; The(object); " prima)"
		}
!----------------------------------------------------------------------------
! KEEPWAITING
!----------------------------------------------------------------------------
	case &KeepWaiting:
		{
		if player_person = 1: print "Devo continuare ad aspettare (YES or NO)? ";
		if player_person = 1: print "Vuoi continuare ad aspettare (YES or NO)? ";
		if player_person = 3: print CThe(player); "deve continuare ad aspettare (YES or NO)? ";
		}

#endif ! ifclear NO_VERBS
}